diff --git a/resources/web/flutter_web/flutter_bootstrap.js b/resources/web/flutter_web/flutter_bootstrap.js
index 713f8ec3bd..b9cd16e599 100644
--- a/resources/web/flutter_web/flutter_bootstrap.js
+++ b/resources/web/flutter_web/flutter_bootstrap.js
@@ -11,6 +11,6 @@ _flutter.buildConfig = {"engineRevision":"b8800d88be4866db1b15f8b954ab2573bba996
 
 _flutter.loader.load({
   serviceWorkerSettings: {
-    serviceWorkerVersion: "2707943714"
+    serviceWorkerVersion: "345308994"
   }
 });
diff --git a/resources/web/flutter_web/flutter_service_worker.js b/resources/web/flutter_web/flutter_service_worker.js
index 4dbea2efc5..e394218368 100644
--- a/resources/web/flutter_web/flutter_service_worker.js
+++ b/resources/web/flutter_web/flutter_service_worker.js
@@ -3,52 +3,52 @@ const MANIFEST = 'flutter-app-manifest';
 const TEMP = 'flutter-temp-cache';
 const CACHE_NAME = 'flutter-app-cache';
 
-const RESOURCES = {"flutter_bootstrap.js": "0ecfa88f40122a867d56e3a66130847b",
-"version.json": "a972d2964490eb0fc191dbb666aed4a2",
-"index.html": "7b2dc2a5d9e42027c3cfde9fad780463",
-"/": "7b2dc2a5d9e42027c3cfde9fad780463",
-"main.dart.js": "d47922169d61a36b0182a0cc38f6ec89",
+const RESOURCES = {"flutter_bootstrap.js": "3accb87bab067930d5ea4df09b958ed1",
+"version.json": "aa4e551bb4c632d6feb5aa1293dacb4b",
+"index.html": "0ea1997f6c2c3b34b0f1fb58390e10c7",
+"/": "0ea1997f6c2c3b34b0f1fb58390e10c7",
+"main.dart.js": "3705dd91ab85b7430308b767fd05b17d",
 "flutter.js": "f31737fb005cd3a3c6bd9355efd33061",
-"version.changelog": "e1273922f2c1f7b576d1a322c2c12621",
+"version.changelog": "1ba1bc2d44d055158f7719b3b2ffe3a7",
 "favicon.png": "be8d1ab28c20907c9869c345d0482962",
 "icons/Icon-192.png": "ab1f25ced1559729e334de938eae91a5",
 "icons/Icon-maskable-192.png": "e41e8489c0f6a822acf8dab362e112b7",
 "icons/Icon-maskable-512.png": "4870fb6720f4fcad016cb582589d136d",
 "icons/Icon-512.png": "343022ac1c56796cb7ff635faf0646ef",
 "manifest.json": "901d86fb8842ec0d66225a542131d689",
-"assets/AssetManifest.json": "5083171b6bc747101791dccec8bbf7c9",
+"assets/AssetManifest.json": "572cd2f45a7d907f2c576360c8092436",
 "assets/NOTICES": "d453b0291cf6ccfc5ced86766a1aa652",
 "assets/FontManifest.json": "0dc3d44d47c5e2636cdca4babafb2396",
-"assets/AssetManifest.bin.json": "4ef2687ac8aa34cfa80b747e244b03d2",
+"assets/AssetManifest.bin.json": "e72798ebb7b8e3e8dc24e6d5b654367d",
 "assets/packages/lava_device_control/assets/files/filament.json": "54d21ade78e6cd6025306530023b094d",
 "assets/packages/cupertino_icons/assets/CupertinoIcons.ttf": "391ff5f9f24097f4f6e4406690a06243",
 "assets/packages/fluttertoast/assets/toastify.js": "56e2c9cedd97f10e7e5f1cebd85d53e3",
 "assets/packages/fluttertoast/assets/toastify.css": "a85675050054f179444bc5ad70ffc635",
 "assets/packages/wakelock_plus/assets/no_sleep.js": "7748a45cd593f33280669b29c2c8919a",
 "assets/shaders/ink_sparkle.frag": "ecc85a2e95f5e9f53123dcaf8cb9b6ce",
-"assets/AssetManifest.bin": "c9bdf5f16549a49a647a8b05eaae2562",
-"assets/fonts/MaterialIcons-Regular.otf": "e932821512cd2fe1387697cf15437c01",
-"assets/assets/i10n/zh-CN.json": "cb49d198fcd3beefebbbe51e67c32dd2",
-"assets/assets/i10n/en.json": "24555469950ba66952676568feb6a5ab",
+"assets/AssetManifest.bin": "ec14f41f2245ce53816edc5119edb005",
+"assets/fonts/MaterialIcons-Regular.otf": "aa361df3c4cfa80e7a16cc8899e3c663",
+"assets/assets/i10n/zh-CN.json": "51a769e670db66f1549170e3be59b383",
+"assets/assets/i10n/en.json": "3a108bc7c186713a32afbf9efdcc67d5",
 "assets/assets/images/deviceNoResponse.webp": "1ca23a7feedfdc34362ea5789ccf895b",
+"assets/assets/images/deviceAuthorized.webp": "8eb814193bed15cec22658018871aba8",
 "assets/assets/images/IpInputGuide.webp": "06c11ce1dadc2910676aec6d40a5eea5",
 "assets/assets/images/deviceDisplayDefault.webp": "ea13b4cb58c0a38e8cf15f7033a07833",
+"assets/assets/images/deviceAuthorizing.webp": "ad1b45a33b70fe2e551a343cab248de3",
 "assets/assets/images/expectation.webp": "1fbebbcb5401021d91ae38864ec3a5c1",
+"assets/assets/images/deviceNotConnected.webp": "3ccdf2ed043b26f62a4fa47e5ee69bdf",
 "assets/assets/images/gcodeCover.png": "cd7e5c13429bc568b1c3ed8b3953ba86",
-"assets/assets/images/deviceRejected.png": "cb02f340100006ad22965c215fc6726c",
 "assets/assets/images/deviceNoNetwork.webp": "e3f9e38c9bea5b8dd88f5729287bb23b",
-"assets/assets/images/deviceAuthorizing.png": "ad1b45a33b70fe2e551a343cab248de3",
 "assets/assets/images/printtaskDefault.png": "2d53add29c1647300def2ec024574307",
+"assets/assets/images/deviceRejected.webp": "cb02f340100006ad22965c215fc6726c",
 "assets/assets/images/ipInputGuideCN.webp": "6ff23fea6ac4212d222500ba1cbbddcf",
-"assets/assets/images/deviceInvalidVersion.png": "66e3b61ac908b900761bf014e92c1d3d",
 "assets/assets/images/bindPrinter.png": "b35f610897d7c4e891f3b0dc56d193f7",
 "assets/assets/images/3dprinter.png": "4515f02e633d58a1119c2f55114da32b",
 "assets/assets/images/logo.png": "b1a7a2105873616de883cf2662a2bf9c",
 "assets/assets/images/controlDefault.png": "1122ed99c68469d307335e55350c2bff",
 "assets/assets/images/filamentDefault.png": "e3b141369c0b9f85c880f4c070885222",
-"assets/assets/images/deviceAuthorized.png": "8eb814193bed15cec22658018871aba8",
 "assets/assets/images/defaultEmpty.png": "a0cd09ca961ed194dae6b02cde0230b2",
-"assets/assets/images/deviceNotConnected.png": "3ccdf2ed043b26f62a4fa47e5ee69bdf",
+"assets/assets/images/deviceInvalidVersion.webp": "66e3b61ac908b900761bf014e92c1d3d",
 "assets/assets/svgs/iconMainCooling.svg": "55b38461348e477abac33fdda8f98e32",
 "assets/assets/svgs/iconCloseWhite.svg": "21e00e7b7a7031241d82983eef24b416",
 "assets/assets/svgs/iconClose.svg": "f6db4c0e4369cc05ae28d3bea8d5b1ad",
diff --git a/resources/web/flutter_web/version.changelog b/resources/web/flutter_web/version.changelog
index 52a0f11dde..b29735273d 100644
--- a/resources/web/flutter_web/version.changelog
+++ b/resources/web/flutter_web/version.changelog
@@ -1,5 +1,5 @@
 
 # Changelog
 
-- 修复设备状态，设备卡片的数据和状态同步
-- 上传并打印添加设备后，耗材获取有异常出现
+- 修复局域网连接打开监控失败
+- 优化体验
